<?php
include('../../../../wp-load.php');

// check capability
if ( ! current_user_can( 'edit_posts' ) && ! current_user_can( 'edit_pages' ) ) {
	return;
}
?>
<!DOCTYPE html>
<html>
	<head>
		<title>Videoframes</title>
		<meta http-equiv="cache-control" content="no-cache" />
		<meta http-equiv="expires" content="0" />
		<meta http-equiv="pragma" content="no-cache" />
		<link rel="stylesheet" href="<?php // echo esc_url( includes_url() . 'css/editor.css' ); ?>" />
		<link rel="stylesheet" href="<?php echo includes_url() . 'css/buttons.css'; ?>" />
		<link rel="stylesheet" href="<?php echo admin_url() . 'css/color-picker.css'; ?>" />
		<link rel="stylesheet" href="<?php echo admin_url() . 'css/wp-admin.css'; ?>" />
		<link rel="stylesheet" href="<?php echo plugins_url( '../css/admin.css', __FILE__ ); ?>" />
		<link rel="stylesheet" href="<?php echo plugins_url( '../css/style.css', __FILE__ ); ?>" />
		<?php /*
		<script type='text/javascript' src="<?php echo includes_url() . 'js/jquery/jquery.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo includes_url() . 'js/jquery/ui/core.min.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo includes_url() . 'js/jquery/ui/widget.min.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo includes_url() . 'js/jquery/ui/slider.min.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo includes_url() . 'js/jquery/ui/draggable.min.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo includes_url() . 'js/jquery/jquery.ui.touch-punch.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo includes_url() . 'js/jquery/jquery.ui.touch-punch.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo admin_url() . 'js/iris.min.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo admin_url() . 'js/color-picker.min.js'; ?>"></script>
		*/ ?>
	</head>
	<body class="videoframes wp-core-ui mce-reset">

		<form class="mce-container mce-form">
			
			<div class="mce-container-body">
				
				<div class="mce-container-left">
			
					<table class="form-table">
						<tbody>
							<tr>
								<th scope="row">Введите адрес Вашего видео с YouTube или Vimeo</th>
								<td scope="row"><input id="videoframes-src" class="mce-textbox large-text" type="text" value="" name="src" /></td>
							</tr>
							<tr>
								<th scope="row">Стиль рамки</th>
								<td scope="row">
									<select id="videoframes-skin" class="mce-widget mce-btn mce-menubtn mce-listbox" type="text"  name="skin" />

										<?php $skins = Videoframes()->skins; ?>

										<?php foreach ( $skins as $id => $name ) { ?>
											<option value="<?php echo $id; ?>" <?php selected( $id, Videoframes()->defaults['skin'], true ); ?>/><?php echo $name; ?></option>
										<?php } ?>

									</select>
								</td>
							</tr>
							<tr>
								<th scope="row">Автовоспроизведение</th>
								<td scope="row"><label for="videoframes-play"><input id="videoframes-play" class="mce-checkbox mce-last" type="checkbox" value="1" name="autoplay" <?php checked( true, Videoframes()->defaults['autoplay'], true ); ?>/>Активировать автовоспроизведение</label></td>
							</tr>
							<tr>
								<th scope="row">Повторное воспроизведение</th>
								<td scope="row"><label for="videoframes-loop"><input id="videoframes-loop" type="checkbox" value="1" name="loop" <?php checked( true, Videoframes()->defaults['loop'], true ); ?> />Активировать циклическое воспроизведение</label></td>
							</tr>
							<tr>
								<th scope="row">Контроль воспроизведения</th>
								<td scope="row"><label for="videoframes-hide"><input id="videoframes-hide" type="checkbox" value="1" name="controls" <?php checked( true, Videoframes()->defaults['controls'], true ); ?>/>Активировать контроль</label></td>
							</tr>
							<tr>
								<th scope="row">Связанные видео</th>
								<td scope="row"><label for="videoframes-rel"><input id="videoframes-rel" type="checkbox" value="1" name="rel" <?php checked( true, Videoframes()->defaults['rel'], true ); ?>/>Активировать отображение связанных видео <em>(Только YouTube )</em></label></td>
							</tr>
							<tr>
								<th scope="row">Текст Заголовка</th>
								<td scope="row"><input id="videoframes-headline-text" class="mce-textbox regular-text" type="text" value="<?php echo esc_html( Videoframes()->defaults['headline_text'] ); ?>" name="headline_text" /></td>
							</tr>
							<tr>
								<th scope="row">Цвет Заголовка</th>
								<td scope="row"><input id="videoframes-headline-color" class="mce-textbox regular-text" type="text" value="<?php echo esc_html( Videoframes()->defaults['headline_color'] ); ?>" name="headline_color" /></td>
							</tr>
							<tr>
								<th scope="row">Размер Текста Заголовка</th>
								<td scope="row"><input id="videoframes-headline-size" class="mce-textbox small-text" type="text" value="<?php echo esc_html( Videoframes()->defaults['headline_size'] ); ?>" name="headline_size" /> px</td>
							</tr>
						</tbody>
					</table>
					
				</div>
				
			<div class="mce-container-right">
				
				<div class="preview-container youtube">
					<?php echo do_shortcode( '[videoframes autoplay="0"]' ); ?>
				</div>
				
				<div class="preview-container vimeo" style="display: none;">
					<?php echo do_shortcode( '[videoframes src="https://vimeo.com/112328208" autoplay="0"]' ); ?>
				</div>
				
			</div>
				
			<div class="clear"></div>

			<p class="submit">
				<button class="insert-button button button-primary button-large" type="submit" name="submit" value="Вставить видео">Вставить видео</button>
				<button class="cancel-button button button-secondary button-large" type="button">Отменить</button>
			</p>
		</form>
		
		<script type="text/javascript">
			//	get parent jQuery Variable
			var args = top.tinymce.activeEditor.windowManager.getParams();
			var $ = args['jquery'];
	
			//	get current Context for jQuery
			var context = document.getElementsByTagName("body")[0];
			
			$( context ).ready( function() {

				// get default video links
				var default_youtube = $( '.preview-container.youtube iframe', context ).attr( 'src' );
				var default_vimeo = $( '.preview-container.vimeo iframe', context ).attr( 'src' );

				// important! use jQuery in the context as the second argument in jquery selectors

				// detect video and use it in the preview
				$( '#videoframes-src', context ).on( 'change', function () {
					// youtube regex
					var youtube_matches = $( this ).val().match(/(?:http|https|)(?::\/\/|)(?:www.|)(?:youtu\.be\/|youtube\.com(?:\/embed\/|\/v\/|\/watch\?v=|\/ytscreeningroom\?v=|\/feeds\/api\/videos\/|\/user\S*[^\w\-\s]|\S*[^\w\-\s]))([\w\-]{11})[a-z0-9;:@#?&%=+\/\$_.-]*/);
					// vimeo regex
					var vimeo_matches = $( this ).val().match(/(?:http|https|)(?::\/\/|)(?:www.|)(?:vimeo\.com\/)([0-9]*(?:.+))/);

					if ( youtube_matches ) {
						// hide / show player
						$( '.preview-container.vimeo', context ).hide();
						$( '.preview-container.youtube', context ).show();
						$( '.preview-container.vimeo iframe', context ).attr( 'src', default_vimeo );

						// replace with the new youtube video
						var new_url = $( '.preview-container.youtube iframe', context ).attr( 'src' ).replace(/\/embed\/([\w\-]{11})/, '/embed/' + youtube_matches[1] );
						$( '.preview-container.youtube iframe', context ).attr( 'src', new_url );
					} else if ( vimeo_matches ) {
						// hide / show player
						$( '.preview-container.youtube', context ).hide();
						$( '.preview-container.vimeo', context ).show();
						$( '.preview-container.youtube iframe', context ).attr( 'src', default_youtube );

						// replace with the new vimeo video
						var new_url = $( '.preview-container.vimeo iframe', context ).attr( 'src' ).replace(/\/video\/([\w\-]{9})/, '/video/' + vimeo_matches[1] );
						$( '.preview-container.vimeo iframe', context ).attr( 'src', new_url );
					} else {
						$( '.preview-container.youtube iframe', context ).attr( 'src', default_youtube );
						$( '.preview-container.vimeo iframe', context ).attr( 'src', default_vimeo );
					}
				} );

				// change skin class
				$( '#videoframes-skin', context ).on( 'change', function () {
					$( '.videoframes', context ).attr( 'class', 'videoframes videoframes-skin-' + $( this ).val() );
				} );

				// cancel button
				$( '.cancel-button', context ).click( function( event ) {
					event.preventDefault();

					args.editor.windowManager.close();
				} );

				//  insert the shortcode into the editor
				$( 'form', context ).submit( function( event ) {
					event.preventDefault();

					var shortcode = '[videoframes';

					// get form data
					var data = $.unserialize( $( this ).serialize() );

					$.each( data, function ( name, value ) {
						if ( value != '' ) {
							shortcode += ' ' + name + '="' + decodeURIComponent( value ).replace(/\+/g, ' ') + '"';
						}
					} );

					shortcode += ']';

					args.editor.selection.setContent( shortcode );
					args.editor.windowManager.close();
				} );
			
			} );
			
			// unserialize jquery function
			$.unserialize = function( serializedString ){
				var str = decodeURI( serializedString ); 
				var pairs = str.split( '&' );
				var obj = {}, p, idx;
				for ( var i=0, n=pairs.length; i < n; i++ ) {
					p = pairs[i].split( '=' );
					idx = p[0]; 
					if ( obj[idx] === undefined ) {
						obj[idx] = unescape( p[1] );
					}else{
						if ( typeof obj[idx] == "string" ) {
							obj[idx]=[obj[idx]];
						}
						obj[idx].push( unescape( p[1] ) );
					}
				}
				return obj;
			};

		</script>
		
		<script type='text/javascript' src="<?php echo includes_url() . 'js/jquery/jquery.js'; ?>"></script>
		<script type='text/javascript' src="<?php echo plugins_url( '../js/jquery-ui.min.js', __FILE__ ); ?>"></script>
		<script type='text/javascript' src="<?php echo admin_url() . 'js/iris.min.js'; ?>"></script>
		
		<script type="text/javascript">
			( function( $ ) {
				$( document ).ready( function() {
					
					var picker = $( '#videoframes-headline-color' );

					$( picker ).focus( function() {
						$( this ).iris().iris( 'show' );
						$( this ).parent().addClass( 'picker-active' );
					} );

					$( document ).on( 'click', function( event ) {
						var clicked = $( event.target ),
							picker = $( '#videoframes-headline-color' );

						if ( $( picker ).parent().hasClass( 'picker-active' ) && ! clicked.is( picker ) ) {
							$( picker ).iris( 'hide' );
							$( picker ).parent().removeClass( 'picker-active' );
						}
					});

				} );
			} )( jQuery );
		</script>
		
	</body>
</html>